<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 29/7/2018
 * Time: 10:45 PM
 */

include '../comun/validarSesion.php';

if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
        $condominioData = $Valido->retornarDatos($creadoPor);
        $condominio = $condominioData["condominio_id"];
        $consultas  = R::findAll( 'consulta', 'estado =:tipoU AND id_condominio =:id_condominioc ',array('tipoU' => '1', 'id_condominioc' => $condominio));
        foreach ($consultas as $valor) {
            $idconsul = $valor['id'];
            $opciones  = R::findAll( 'opcionconsulta', ' estado =:tipoU AND id_consulta =:id_consulta ',array('tipoU' => '1', 'id_consulta' => $idconsul));
            $consultas[$idconsul]['opciones']=$opciones;
            $votoconsulta=R::findOne('voto', 'id_consulta =:id_consulta AND id_usuario =:id_usuario', array('id_consulta' => $idconsul, 'id_usuario' => $creadoPor));
            if (is_null($votoconsulta)==TRUE) {
                $consultas[$idconsul]['opcion_votada']='No has votado aun.';
            }else{
                $opcionvotada  = R::load('opcionconsulta', $votoconsulta['id_opcion']);
                $consultas[$idconsul]['opcion_votada']=$opcionvotada->descripcion;
            }
        }
        include '../comun/mensajeOk.php';
        print_r(json_encode($consultas));
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}